import { FilterOption, Items } from './types';
/**
 * Composable pour utiliser les fonctionnalités de filtrage de tableau
 *
 * @returns Objet contenant les fonctions utilitaires de filtrage
 */
export declare function useTableFilter(): {
    filterItems: <T extends Items[0]>(items: T[], filters: FilterOption[]) => T[];
};
